docs

# SendPhotoData

data class SendPhotoData : DataRequest < ContentMessage < PhotoContent >> , SendMessageRequest < ContentMessage < PhotoContent >> , ReplyingMarkupSendMessageRequest < ContentMessage < PhotoContent >> , TextableSendMessageRequest < ContentMessage < PhotoContent >>
Content copied to clipboard

## Functions

method
Link copied to clipboard
open override fun method (): String
Content copied to clipboard

## Properties

allowSendingWithoutReply
Link copied to clipboard
open override val allowSendingWithoutReply : Boolean ? = null
Content copied to clipboard
chatId
Link copied to clipboard
open override val chatId : ChatIdentifier
Content copied to clipboard
disableNotification
Link copied to clipboard
open override val disableNotification : Boolean = false
Content copied to clipboard
entities
Link copied to clipboard
open val entities : List < TextSource >?
Content copied to clipboard
parseMode
Link copied to clipboard
open override val parseMode : ParseMode ? = null
Content copied to clipboard
photo
Link copied to clipboard
val photo : String ? = null
Content copied to clipboard
protectContent
Link copied to clipboard
open override val protectContent : Boolean = false
Content copied to clipboard
replyMarkup
Link copied to clipboard
open override val replyMarkup : KeyboardMarkup ? = null
Content copied to clipboard
replyToMessageId
Link copied to clipboard
open override val replyToMessageId : MessageIdentifier ? = null
Content copied to clipboard
requestSerializer
Link copied to clipboard
open override val requestSerializer : SerializationStrategy<*>
Content copied to clipboard
resultDeserializer
Link copied to clipboard
open override val resultDeserializer : DeserializationStrategy< ContentMessage < PhotoContent >>
Content copied to clipboard
text
Link copied to clipboard
open override val text : String ? = null
Content copied to clipboard
textSources
Link copied to clipboard
open override val textSources : TextSourcesList ?
Content copied to clipboard

Full list of TextSources